[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarIsClear

Check if a variant is clear

## Declaration

Source position: variants.pp line 77

`function VarIsClear(`
`const V: Variant`
`):Boolean;`

## Description

VarIsClear returns True if the variant V is empty, or it is a dispatch type with value Nil. For custom types, the decision is left to the custom type.

## See also

VarIsEmpty |  | Check if the variant is empty
VarIsNull |  | Check if a variant is null
VarIsNumeric |  | Check if the variant is a numerical value
VarIsStr |  | Check if the variant is a string